	//----------TEachScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TEachScore 
        /// </summary>
		[Table("TEachScore")]
        public partial class TEachScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StageID")]   
				[DataMember]  
			    public string StageID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("TargetID")]   
				[DataMember]  
			    public string TargetID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("IsSorted")]   
				[DataMember]  
			    public bool IsSorted  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TEachScore 
            /// </summary>
            public class TEachScoreMap : EntityTypeConfiguration<TEachScore>
			{
                public TEachScoreMap()
                {
					this.ToTable("TEachScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.StageID).HasColumnName("StageID").IsRequired();
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.TargetID).HasColumnName("TargetID").IsRequired();
													 this.Property(t => t.Sort).HasColumnName("Sort").IsRequired();
													 this.Property(t => t.IsSorted).HasColumnName("IsSorted").IsRequired();
										}
			}**/

	}

	//----------TEachScore结束----------

	